/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    _schemeColors = require('../../../../task/worker/_scheme_colors.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Scheme colors.'] = function (test) {
    var colors = _schemeColors(20, 'contrast', 'soft');
    test.ok(colors);
    colors.forEach(function (data) {
        test.ok(!!data.color.match(/^#[0-9a-f]{6}$/));
    });
    test.done();
};